#include<bits/stdc++.h>
using namespace std;
int main(){
	#define int long long
	int n;
	cin>>n;
	int k;
	cin>>k;
	int d[k];
	for(int i=0;i<k;i++){
		cin>>d[i];
	}
	for(int i=0;i<k;i++){
		int res = 0;
		for(int j=0;j<k;j++){
			if(d[i]%d[j] == 0) res = res^d[j];
		}
		cout<<res<<" ";
	}
}